## ironic 4.2.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr>=1.6
SQLAlchemy<1.1.0,>=0.9.9
alembic>=0.8.0
automaton>=0.5.0 # Apache-2.0
eventlet>=0.17.4
lxml>=2.3
WebOb>=1.2.3
greenlet>=0.3.2
netaddr!=0.7.16,>=0.7.12
paramiko>=1.13.0
iso8601>=0.1.9
python-neutronclient>=2.6.0
python-glanceclient>=0.18.0
python-keystoneclient>=1.6.0
python-swiftclient>=2.2.0
pytz>=2013.6
stevedore>=1.5.0 # Apache-2.0
pysendfile>=2.0.0
websockify>=0.6.1
oslo.concurrency>=2.3.0 # Apache-2.0
oslo.config>=2.3.0 # Apache-2.0
oslo.context>=0.2.0 # Apache-2.0
oslo.db>=2.4.1 # Apache-2.0
oslo.rootwrap>=2.0.0 # Apache-2.0
oslo.i18n>=1.5.0 # Apache-2.0
oslo.log>=1.8.0 # Apache-2.0
oslo.middleware>=2.8.0 # Apache-2.0
oslo.policy>=0.5.0 # Apache-2.0
oslo.serialization>=1.4.0 # Apache-2.0
oslo.service>=0.7.0 # Apache-2.0
oslo.utils>=2.0.0 # Apache-2.0
pecan>=1.0.0
requests>=2.5.2
six>=1.9.0
jsonpatch>=1.1
WSME>=0.7
Jinja2>=2.6 # BSD License (3 clause)
keystonemiddleware>=2.0.0
oslo.messaging!=1.17.0,!=1.17.1,>=1.16.0 # Apache-2.0
retrying!=1.3.0,>=1.2.3 # Apache-2.0
oslo.versionedobjects>=0.9.0
jsonschema!=2.5.0,<3.0.0,>=2.0.0

=== debian/changelog ===
ironic (1:4.2.0-0ubuntu1) wily; urgency=medium

  * New upstream release for OpenStack Liberty.
  * Align (Build-)Depends with upstream.
  * d/p/*: Refresh.

 -- James Page <james.page@ubuntu.com>  Mon, 28 Sep 2015 11:43:31 +0100

ironic (1:4.1.0-0ubuntu1) wily; urgency=medium

  * New upstream release.
  * Align (Build-)Depends with upstream.
  * d/p/*: Refresh.
  * d/p/drop-objectlistbase.patch: Drop, included upstream.

 -- James Page <james.page@ubuntu.com>  Wed, 16 Sep 2015 11:48:17 +0100

ironic (1:4.0.0-0ubuntu3) wily; urgency=medium

  * d/control: Add runtime depedency on python-pymysql to ensure that
    upgrades from mysqldb work correctly.
  * d/p/drop-objectlistbase.patch: Drop ObjectListBase inline with
    upstream master branch, resolving FTBFS with oslo.versionedobjects
    0.8.0.

 -- James Page <james.page@ubuntu.com>  Tue, 08 Sep 2015 13:25:18 +0100

ironic (1:4.0.0-0ubuntu2) wily; urgency=medium

  * d/control: Drop version requirement on python-pbr, resolving
    installability issues.

 -- James Page <james.page@ubuntu.com>  Mon, 07 Sep 2015 09:40:14 +0100

ironic (1:4.0.0-0ubuntu1) wily; urgency=medium

  * New upstream release for OpenStack liberty.
  * d/watch: Update to use tarballs.openstack.org.
  * Update (Build-)-Depends: for new upstream release.
  * d/p/*: Refresh.

 -- James Page <james.page@ubuntu.com>  Mon, 07 Sep 2015 09:04:43 +0100

ironic (2015.1.0-0ubuntu2) wily; urgency=medium

  * No change rebuild with SQLAlchemy 1.0.6.

 -- James Page <james.page@ubuntu.com>  Fri, 24 Jul 2015 09:47:17 +0100

ironic (2015.1.0-0ubuntu1) vivid; urgency=medium

  [ Chuck Short ]
  * New upstream release for OpenStack Kilo. (LP: #1449744)
  * debian/ironic-common.install: Dropped ironic-nova-bm-migrate. 

  [ JJ Asghar ] 
  * d/ironic-conductor.init.in: ironic-api -> ironic-conductor
    (LP: #1429962). 

 -- Chuck Short <zulcss@ubuntu.com>  Sun, 03 May 2015 13:50:22 -0400

ironic (2015.1~rc1-0ubuntu1) vivid; urgency=medium

  * New upstream milestone release:
    - d/control: Align with upstream dependencies
    - d/p/fix-requirements.patch: Dropped no longer needed.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 17 Apr 2015 09:28:31 -0400

ironic (2015.1~b3-0ubuntu1) vivid; urgency=medium

  * New upstream release.
    + d/control: 
      - Align with upstream dependencies.
      - Add dh-python to build-dependencies.
      - Add psmisc as a dependency. (LP: #1358820)
    + d/p/fix-requirements.patch: Rediffed.
    + d/ironic-conductor.init.in: Fixed typos in LSB headers,
      thanks to JJ Asghar. (LP: #1429962)

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 30 Mar 2015 11:14:57 +0100

ironic (2015.1~b2-0ubuntu1) vivid; urgency=medium

  [ Corey Bryant ]
  * New upstream release.
    - d/control: Align with upstream dependencies.
    - d/p/fix-requirements.patch: Added to drop websockify.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 13 Feb 2015 11:35:18 -0500

ironic (2015.1~b1-0ubuntu4) vivid; urgency=medium

  * Rebuild to pick up pkgos upstart generation fix.
    - d/control: Bump openstack-pkg-tools to ensure upstart fix inclusion.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 14 Jan 2015 16:24:34 +0000

ironic (2015.1~b1-0ubuntu3) vivid; urgency=medium

  * No change rebuild to fixup detection of pysendfile dependency. 

 -- James Page <james.page@ubuntu.com>  Mon, 12 Jan 2015 16:05:29 +0000

ironic (2015.1~b1-0ubuntu2) vivid; urgency=medium

  [ Chuck Short ]
  * d/control: Update bzr branch locations.

  [ James Page ]  
  * d/pydist-overrides: Drop pysendfile from overrides to ensure that
    dependencies are correctly generated (LP: #1391960). 
  * Systemd enablement:
    - d/control: Add dh-systemd and openstack-pkg-tools to BD's.
    - d/rules: Enable use of pkgos, tidyup generated init files.
    - d/*.init.in: Cherry pick pkgos template configurations from
      Debian cinder package (thanks Thomas).
    - d/*.upstart: Drop in preference to generated files.

 -- James Page <james.page@ubuntu.com>  Mon, 12 Jan 2015 09:39:03 +0000

ironic (2015.1~b1-0ubuntu1) vivid; urgency=medium

  * New upstream beta release:
    - d/control: Align version requirements with upstream release.
  * d/watch: Update uversionmangle to deal with kilo beta versioning
    changes.
  * d/control: Bumped Standards-Version to 3.9.6, no changes.

 -- James Page <james.page@ubuntu.com>  Mon, 05 Jan 2015 12:21:37 +0000

ironic (2014.2-0ubuntu1) utopic; urgency=medium

  [ Corey Bryant ]
  * New upstream release.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 16 Oct 2014 17:02:24 -0400

ironic (2014.2~rc2-0ubuntu1) utopic; urgency=medium

  [ Corey Bryant ]
  * New upstream release candidate.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 09 Oct 2014 16:13:56 -0400

ironic (2014.2~rc1-0ubuntu1) utopic; urgency=medium

  [ Adam Gandelman ]
  * New upstream release.
  * debian/patches/set_logdir.patch: Renamed to set_config_defaults.patch,
    also set default sqlite db connection.
  * debian/control: Refreshed dependencies for Juno, wrap-and-sort.
  * debian/ironic-common.install: Added ironic-nova-bm-migrate binary.
  * debian/ironic-common.postinst: Create the default sqlite database if
    configured to use it and it does not exist.
  * debian/pydist-overrides: Add pysendfile.
  * debian/ironic_sudoers: Add rootwrap.conf (LP: #1185019).

  [ James Page ]
  * d/rules,control: Increase test verbosity using subunit.

 -- Adam Gandelman <adamg@ubuntu.com>  Tue, 30 Sep 2014 10:44:08 -0700

ironic (2014.2~b1-0ubuntu1) utopic; urgency=medium

  * New upstream release.
  * debian/control: Open up juno release
  * debian/patches/set_logdir.patch: Refreshed.
  * debian/control: Add python-oslo.messaging
  * debian/control: Add python-sendfile.

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 07 Jul 2014 08:29:14 -0400

ironic (2014.1~rc1-0ubuntu1) trusty; urgency=medium

  [ Adam Gandelman ]
  * debian/ironic-common.postinst: Fix syntax preventing postinst
    from running.


=== debian/control ===
Source: ironic
Section: net
Priority: extra
Maintainer: Chuck Short <zulcss@ubuntu.com>
Build-Depends: debhelper (>= 9~),
               dh-python,
               dh-systemd,
               openstack-pkg-tools (>= 23~),
               python-all,
               python-setuptools,
               python-sphinx,
Build-Depends-Indep: alembic (>= 0.8.0),
                     python-automaton (>= 0.5.0),
                     python-babel (>= 1.3),
                     python-coverage (>= 3.6),
                     python-eventlet (>= 0.17.4),
                     python-fixtures (>= 1.3.1),
                     python-glanceclient (>= 1:0.18.0),
                     python-greenlet (>= 0.3.2),
                     python-hacking (>= 0.10.0),
                     python-ironicclient (>= 0.8.0),
                     python-iso8601 (>= 0.1.9),
                     python-jinja2 (>= 2.6),
                     python-jsonpatch (>= 1.1),
                     python-jsonschema (>= 2.0.0),
                     python-keystoneclient (>= 1:1.6.0),
                     python-keystonemiddleware (>= 2.0.0),
                     python-lxml (>= 2.3),
                     python-mock (>= 1.2),
                     python-netaddr (>= 0.7.12),
                     python-neutronclient (>= 1:2.6.0),
                     python-oslo.concurrency (>= 2.3.0),
                     python-oslo.config (>= 1:2.3.0),
                     python-oslo.context (>= 0.2.0),
                     python-oslo.db (>= 2.4.1),
                     python-oslo.i18n (>= 1.5.0),
                     python-oslo.log (>= 1.8.0),
                     python-oslo.messaging (>= 1.16.0),
                     python-oslo.middleware (>= 2.8.0),
                     python-oslo.policy (>= 0.5.0),
                     python-oslo.rootwrap (>= 2.0.0),
                     python-oslo.serialization (>= 1.4.0),
                     python-oslo.service (>= 0.7.0),
                     python-oslo.utils (>= 2.0.0),
                     python-oslo.versionedobjects (>= 0.9.0),
                     python-oslosphinx (>= 2.5.0),
                     python-oslotest (>= 1:1.10.0),
                     python-paramiko (>= 1.13.0),
                     python-pbr (>= 1.8),
                     python-pecan (>= 1.0.0),
                     python-psycopg2 (>= 2.5),
                     python-pymysql (>= 0.6.2),
                     python-requests (>= 2.5.2),
                     python-retrying (>= 1.2.3),
                     python-sendfile (>= 2.0.0),
                     python-six (>= 1.9.0),
                     python-sphinxcontrib-pecanwsme (>= 0.8),
                     python-sqlalchemy (>= 0.9.9),
                     python-stevedore (>= 1.5.0),
                     python-subunit (>= 0.0.18),
                     python-swiftclient (>= 1:2.2.0),
                     python-testtools (>= 1.4.0),
                     python-tz (>= 2013.6),
                     python-webob (>= 1.2.3),
                     python-wsme (>= 0.7),
                     subunit (>= 0.0.18),
                     testrepository (>= 0.0.18),
                     websockify (>= 0.6.1),
Standards-Version: 3.9.6
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/ironic
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/ironic

Package: python-ironic
Architecture: all
Depends: alembic (>= 0.8.0),
         python-automaton (>= 0.5.0),
         python-eventlet (>= 0.17.4),
         python-glanceclient (>= 1:0.18.0),
         python-greenlet (>= 0.3.2),
         python-iso8601 (>= 0.1.9),
         python-jinja2 (>= 2.6),
         python-jsonpatch (>= 1.1),
         python-jsonschema (>= 2.0.0),
         python-keystoneclient (>= 1:1.6.0),
         python-keystonemiddleware (>= 2.0.0),
         python-lxml (>= 2.3),
         python-netaddr (>= 0.7.12),
         python-neutronclient (>= 1:2.6.0),
         python-oslo.concurrency (>= 2.3.0),
         python-oslo.config (>= 1:2.3.0),
         python-oslo.context (>= 0.2.0),
         python-oslo.db (>= 2.4.1),
         python-oslo.i18n (>= 1.5.0),
         python-oslo.log (>= 1.8.0),
         python-oslo.messaging (>= 1.16.0),
         python-oslo.middleware (>= 2.8.0),
         python-oslo.policy (>= 0.5.0),
         python-oslo.rootwrap (>= 2.0.0),
         python-oslo.serialization (>= 1.4.0),
         python-oslo.service (>= 0.7.0),
         python-oslo.utils (>= 2.0.0),
         python-oslo.versionedobjects (>= 0.9.0),
         python-paramiko (>= 1.13.0),
         python-pbr (>= 1.8),
         python-pecan (>= 1.0.0),
         python-pymysql (>= 0.6.2),
         python-requests (>= 2.5.2),
         python-retrying (>= 1.2.3),
         python-sendfile (>= 2.0.0),
         python-six (>= 1.9.0),
         python-sqlalchemy (>= 0.9.9),
         python-stevedore (>= 1.5.0),
         python-swiftclient (>= 1:2.2.0),
         python-tz (>= 2013.6),
         python-webob (>= 1.2.3),
         python-wsme (>= 0.7),
         websockify (>= 0.6.1),
         ${misc:Depends},
         ${python:Depends},
Description: Openstack bare metal provisioning service - Python library
 Ironic is an Incubated OpenStack project which aims to provision
 bare metal machines instead of virtual machines, forked from the
 Nova Baremetal driver. It is best thought of as a bare metal
 hypervisor **API** and a set of plugins which interact with
 the bare metal hypervisors. By default, it will use PXE and IPMI
 in concert to provision and turn on/off machines, but Ironic
 also supports vendor-specific plugins which may implement additional
 functionality.
 .
 This package contains the Python libaries.

Package: ironic-common
Architecture: all
Depends: adduser,
         psmisc,
         python-ironic (= ${source:Version}),
         ${misc:Depends},
         ${python:Depends},
Description: Openstack bare metal provisioning service - daemons
 Ironic is an Incubated OpenStack project which aims to provision
 bare metal machines instead of virtual machines, forked from the
 Nova Baremetal driver. It is best thought of as a bare metal
 hypervisor **API** and a set of plugins which interact with
 the bare metal hypervisors. By default, it will use PXE and IPMI
 in concert to provision and turn on/off machines, but Ironic
 also supports vendor-specific plugins which may implement additional
 functionality.
 .
 This package contains the common files.

Package: ironic-api
Architecture: all
Depends: ironic-common (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
Description: Openstack bare metal provisioning service - API
 Ironic is an Incubated OpenStack project which aims to provision
 bare metal machines instead of virtual machines, forked from the
 Nova Baremetal driver. It is best thought of as a bare metal
 hypervisor **API** and a set of plugins which interact with
 the bare metal hypervisors. By default, it will use PXE and IPMI
 in concert to provision and turn on/off machines, but Ironic
 also supports vendor-specific plugins which may implement additional
 functionality.
 .
 This package contains the API.

Package: ironic-conductor
Architecture: all
Depends: ironic-common (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
Description: Openstack bare metal provisioning service - conductor
 Ironic is an Incubated OpenStack project which aims to provision
 bare metal machines instead of virtual machines, forked from the
 Nova Baremetal driver. It is best thought of as a bare metal
 hypervisor **API** and a set of plugins which interact with
 the bare metal hypervisors. By default, it will use PXE and IPMI
 in concert to provision and turn on/off machines, but Ironic
 also supports vendor-specific plugins which may implement additional
 functionality.
 .
 This package contains the conductor.

## ironic 4.2.5

=== requirements.txt ===
--- 
+++ 
@@ -14,7 +14,7 @@
 iso8601>=0.1.9
 python-neutronclient>=2.6.0
 python-glanceclient>=0.18.0
-python-keystoneclient>=1.6.0
+python-keystoneclient!=1.8.0,<3.0.0,>=1.6.0
 python-swiftclient>=2.2.0
 pytz>=2013.6
 stevedore>=1.5.0 # Apache-2.0
@@ -27,19 +27,19 @@
 oslo.rootwrap>=2.0.0 # Apache-2.0
 oslo.i18n>=1.5.0 # Apache-2.0
 oslo.log>=1.8.0 # Apache-2.0
-oslo.middleware>=2.8.0 # Apache-2.0
+oslo.middleware!=3.0.0,!=3.1.0,!=3.2.0,>=2.8.0 # Apache-2.0
 oslo.policy>=0.5.0 # Apache-2.0
 oslo.serialization>=1.4.0 # Apache-2.0
 oslo.service>=0.7.0 # Apache-2.0
-oslo.utils>=2.0.0 # Apache-2.0
+oslo.utils!=2.6.0,>=2.0.0 # Apache-2.0
 pecan>=1.0.0
-requests>=2.5.2
+requests!=2.8.0,!=2.9.0,>=2.5.2
 six>=1.9.0
 jsonpatch>=1.1
 WSME>=0.7
 Jinja2>=2.6 # BSD License (3 clause)
-keystonemiddleware>=2.0.0
-oslo.messaging!=1.17.0,!=1.17.1,>=1.16.0 # Apache-2.0
+keystonemiddleware!=2.4.0,>=2.0.0
+oslo.messaging!=1.17.0,!=1.17.1,!=2.6.0,!=2.6.1,!=2.7.0,!=2.8.0,!=2.8.1,!=2.9.0,!=3.1.0,>=1.16.0 # Apache-2.0
 retrying!=1.3.0,>=1.2.3 # Apache-2.0
 oslo.versionedobjects>=0.9.0
 jsonschema!=2.5.0,<3.0.0,>=2.0.0

=== debian/changelog ===
ironic (1:4.2.5-0ubuntu1~cloud0) trusty-liberty; urgency=medium

  * New upstream point release for OpenStack Liberty (LP: #1619452).

 -- David Della Vecchia <ddv@canonical.com>  Thu, 13 Oct 2016 12:33:54 -0400

ironic (1:4.2.0-0ubuntu1~cloud0) trusty-liberty; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Mon, 28 Sep 2015 11:58:26 +0000

## ironic 5.1.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr>=1.6 # Apache-2.0
SQLAlchemy<1.1.0,>=1.0.10 # MIT
alembic>=0.8.0 # MIT
automaton>=0.5.0 # Apache-2.0
eventlet!=0.18.3,>=0.18.2 # MIT
WebOb>=1.2.3 # MIT
greenlet>=0.3.2 # MIT
netaddr!=0.7.16,>=0.7.12 # BSD
paramiko>=1.16.0 # LGPL
python-neutronclient!=4.1.0,>=2.6.0 # Apache-2.0
python-glanceclient>=2.0.0 # Apache-2.0
python-keystoneclient!=1.8.0,!=2.1.0,>=1.6.0 # Apache-2.0
ironic-lib>=1.1.0 # Apache-2.0
python-swiftclient>=2.2.0 # Apache-2.0
pytz>=2013.6 # MIT
stevedore>=1.5.0 # Apache-2.0
pysendfile>=2.0.0 # MIT
websockify>=0.6.1 # LGPLv3
oslo.concurrency>=3.5.0 # Apache-2.0
oslo.config>=3.7.0 # Apache-2.0
oslo.context>=0.2.0 # Apache-2.0
oslo.db>=4.1.0 # Apache-2.0
oslo.rootwrap>=2.0.0 # Apache-2.0
oslo.i18n>=2.1.0 # Apache-2.0
oslo.log>=1.14.0 # Apache-2.0
oslo.middleware>=3.0.0 # Apache-2.0
oslo.policy>=0.5.0 # Apache-2.0
oslo.serialization>=1.10.0 # Apache-2.0
oslo.service>=1.0.0 # Apache-2.0
oslo.utils>=3.5.0 # Apache-2.0
pecan>=1.0.0 # BSD
requests!=2.9.0,>=2.8.1 # Apache-2.0
six>=1.9.0 # MIT
jsonpatch>=1.1 # BSD
WSME>=0.8 # MIT
Jinja2>=2.8 # BSD License (3 clause)
keystonemiddleware!=4.1.0,>=4.0.0 # Apache-2.0
oslo.messaging>=4.0.0 # Apache-2.0
retrying!=1.3.0,>=1.2.3 # Apache-2.0
oslo.versionedobjects>=1.5.0 # Apache-2.0
jsonschema!=2.5.0,<3.0.0,>=2.0.0 # MIT
psutil<2.0.0,>=1.1.1 # BSD
futurist>=0.11.0 # Apache-2.0

=== debian/changelog ===
ironic (1:5.1.0-0ubuntu1) xenial; urgency=medium

  * New upstream release for OpenStack Mitaka.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/set_config_defaults.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 24 Mar 2016 14:30:47 -0400

ironic (1:4.3.0-0ubuntu1) xenial; urgency=medium

  * New upstream release for OpenStack Mitaka.
  * Align (Build-)Depends with upstream.
  * d/p/set_config_defaults.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 17 Dec 2015 11:54:12 -0500

=== debian/control ===
--- 
+++ 
@@ -12,59 +12,65 @@
 Build-Depends-Indep: alembic (>= 0.8.0),
                      python-automaton (>= 0.5.0),
                      python-babel (>= 1.3),
+                     python-bashate (>= 0.2),
                      python-coverage (>= 3.6),
-                     python-eventlet (>= 0.17.4),
+                     python-eventlet (>= 0.18.2),
                      python-fixtures (>= 1.3.1),
-                     python-glanceclient (>= 1:0.18.0),
+                     python-futurist (>= 0.11.0),
+                     python-glanceclient (>= 1:2.0.0),
                      python-greenlet (>= 0.3.2),
                      python-hacking (>= 0.10.0),
-                     python-ironicclient (>= 0.8.0),
+                     python-ironic-lib (>= 1.1.0),
+                     python-ironicclient (>= 1.1.0),
                      python-iso8601 (>= 0.1.9),
-                     python-jinja2 (>= 2.6),
+                     python-jinja2 (>= 2.8),
                      python-jsonpatch (>= 1.1),
                      python-jsonschema (>= 2.0.0),
                      python-keystoneclient (>= 1:1.6.0),
                      python-keystonemiddleware (>= 2.0.0),
-                     python-lxml (>= 2.3),
                      python-mock (>= 1.2),
                      python-netaddr (>= 0.7.12),
                      python-neutronclient (>= 1:2.6.0),
-                     python-oslo.concurrency (>= 2.3.0),
-                     python-oslo.config (>= 1:2.3.0),
+                     python-os-testr (>= 0.4.1),
+                     python-oslo.concurrency (>= 3.5.0),
+                     python-oslo.config (>= 1:3.7.0),
                      python-oslo.context (>= 0.2.0),
-                     python-oslo.db (>= 2.4.1),
-                     python-oslo.i18n (>= 1.5.0),
-                     python-oslo.log (>= 1.8.0),
-                     python-oslo.messaging (>= 1.16.0),
-                     python-oslo.middleware (>= 2.8.0),
+                     python-oslo.db (>= 4.1.0),
+                     python-oslo.i18n (>= 2.1.0),
+                     python-oslo.log (>= 1.14.0),
+                     python-oslo.messaging (>= 2.6.1),
+                     python-oslo.middleware (>= 3.0.0),
                      python-oslo.policy (>= 0.5.0),
                      python-oslo.rootwrap (>= 2.0.0),
-                     python-oslo.serialization (>= 1.4.0),
-                     python-oslo.service (>= 0.7.0),
-                     python-oslo.utils (>= 2.0.0),
-                     python-oslo.versionedobjects (>= 0.9.0),
+                     python-oslo.serialization (>= 1.10.0),
+                     python-oslo.service (>= 1.0.0),
+                     python-oslo.utils (>= 3.5.0),
+                     python-oslo.versionedobjects (>= 0.13.0),
                      python-oslosphinx (>= 2.5.0),
                      python-oslotest (>= 1:1.10.0),
                      python-paramiko (>= 1.13.0),
                      python-pbr (>= 1.8),
                      python-pecan (>= 1.0.0),
+                     python-psutil,
                      python-psycopg2 (>= 2.5),
                      python-pymysql (>= 0.6.2),
-                     python-requests (>= 2.5.2),
+                     python-requests (>= 2.8.1),
                      python-retrying (>= 1.2.3),
                      python-sendfile (>= 2.0.0),
                      python-six (>= 1.9.0),
                      python-sphinxcontrib-pecanwsme (>= 0.8),
-                     python-sqlalchemy (>= 0.9.9),
+                     python-sqlalchemy (>= 1.0.10),
                      python-stevedore (>= 1.5.0),
                      python-subunit (>= 0.0.18),
                      python-swiftclient (>= 1:2.2.0),
                      python-testtools (>= 1.4.0),
+                     python-testresources (>= 0.2.4),
+                     python-testscenarios (>= 0.4),
                      python-tz (>= 2013.6),
                      python-webob (>= 1.2.3),
-                     python-wsme (>= 0.7),
+                     python-webtest (>= 2.0),
+                     python-wsme (>= 0.8),
                      subunit (>= 0.0.18),
-                     testrepository (>= 0.0.18),
                      websockify (>= 0.6.1),
 Standards-Version: 3.9.6
 Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/ironic
@@ -74,46 +80,47 @@
 Architecture: all
 Depends: alembic (>= 0.8.0),
          python-automaton (>= 0.5.0),
-         python-eventlet (>= 0.17.4),
-         python-glanceclient (>= 1:0.18.0),
+         python-eventlet (>= 0.18.2),
+         python-futurist (>= 0.11.0),
+         python-glanceclient (>= 1:2.0.0),
          python-greenlet (>= 0.3.2),
-         python-iso8601 (>= 0.1.9),
-         python-jinja2 (>= 2.6),
+         python-ironic-lib (>= 1.1.0),
+         python-jinja2 (>= 2.8),
          python-jsonpatch (>= 1.1),
          python-jsonschema (>= 2.0.0),
          python-keystoneclient (>= 1:1.6.0),
          python-keystonemiddleware (>= 2.0.0),
-         python-lxml (>= 2.3),
          python-netaddr (>= 0.7.12),
          python-neutronclient (>= 1:2.6.0),
-         python-oslo.concurrency (>= 2.3.0),
-         python-oslo.config (>= 1:2.3.0),
+         python-oslo.concurrency (>= 3.5.0),
+         python-oslo.config (>= 1:3.7.0),
          python-oslo.context (>= 0.2.0),
-         python-oslo.db (>= 2.4.1),
-         python-oslo.i18n (>= 1.5.0),
-         python-oslo.log (>= 1.8.0),
-         python-oslo.messaging (>= 1.16.0),
-         python-oslo.middleware (>= 2.8.0),
+         python-oslo.db (>= 4.1.0),
+         python-oslo.i18n (>= 2.1.0),
+         python-oslo.log (>= 1.14.0),
+         python-oslo.messaging (>= 2.6.1),
+         python-oslo.middleware (>= 3.0.0),
          python-oslo.policy (>= 0.5.0),
          python-oslo.rootwrap (>= 2.0.0),
-         python-oslo.serialization (>= 1.4.0),
-         python-oslo.service (>= 0.7.0),
-         python-oslo.utils (>= 2.0.0),
-         python-oslo.versionedobjects (>= 0.9.0),
+         python-oslo.serialization (>= 1.10.0),
+         python-oslo.service (>= 1.0.0),
+         python-oslo.utils (>= 3.5.0),
+         python-oslo.versionedobjects (>= 0.13.0),
          python-paramiko (>= 1.13.0),
          python-pbr (>= 1.8),
          python-pecan (>= 1.0.0),
+         python-psutil,
          python-pymysql (>= 0.6.2),
-         python-requests (>= 2.5.2),
+         python-requests (>= 2.8.1),
          python-retrying (>= 1.2.3),
          python-sendfile (>= 2.0.0),
          python-six (>= 1.9.0),
-         python-sqlalchemy (>= 0.9.9),
+         python-sqlalchemy (>= 1.0.10),
          python-stevedore (>= 1.5.0),
          python-swiftclient (>= 1:2.2.0),
          python-tz (>= 2013.6),
          python-webob (>= 1.2.3),
-         python-wsme (>= 0.7),
+         python-wsme (>= 0.8),
          websockify (>= 0.6.1),
          ${misc:Depends},
          ${python:Depends},

## ironic 5.1.2

=== requirements.txt ===
--- 
+++ 
@@ -12,7 +12,7 @@
 paramiko>=1.16.0 # LGPL
 python-neutronclient!=4.1.0,>=2.6.0 # Apache-2.0
 python-glanceclient>=2.0.0 # Apache-2.0
-python-keystoneclient!=1.8.0,!=2.1.0,>=1.6.0 # Apache-2.0
+python-keystoneclient!=1.8.0,!=2.1.0,<3.0.0,>=1.6.0 # Apache-2.0
 ironic-lib>=1.1.0 # Apache-2.0
 python-swiftclient>=2.2.0 # Apache-2.0
 pytz>=2013.6 # MIT

=== debian/changelog ===
ironic (1:5.1.2-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * 

 -- Thomas Goirand <zigo@debian.org>  Wed, 29 Jun 2016 13:49:05 +0000

ironic (1:5.1.2-1) unstable; urgency=high

  * New upstream release:
    - addresses CVE-2016-4985: Node information including credentials exposed
      to unathenticated users. Includes upstream patch: Mask password on agent
      lookup according to policy (Closes: #827886).

 -- Thomas Goirand <zigo@debian.org>  Wed, 22 Jun 2016 10:05:13 +0200

ironic (1:5.1.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release

 -- Ondřej Nový <onovy@debian.org>  Tue, 21 Jun 2016 00:37:13 +0200

ironic (1:5.1.0-2) unstable; urgency=medium

  * Standards-Version is 3.9.8 now (no change)
  * Allow sudo for ironic-rootwrap
    (Thanks to Jan Sára for providing fix)
  * Fixed d/watch to ignore old year-based versioning schema

 -- Ondřej Nový <novy@ondrej.org>  Fri, 27 May 2016 11:37:10 +0000

ironic (1:5.1.0-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.
  * Removed debian/patches/Fix_sphinx_docs_build.patch applied upstream.

 -- Thomas Goirand <zigo@debian.org>  Tue, 05 Apr 2016 14:05:32 +0000

ironic (1:5.0.0-2) experimental; urgency=medium

  * Do not use the Keystone admin auth token to register API endpoints.

 -- Thomas Goirand <zigo@debian.org>  Tue, 29 Mar 2016 13:36:22 +0000

ironic (1:5.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Removed Tolerate_roles_in_context.RequestContext.patch applied upstream.
  * Rebased the other patches.
  * Added -b html when generating the sphinx doc.
  * Added Fix_sphinx_docs_build.patch to fix doc building, plus -a flag.

 -- Thomas Goirand <zigo@debian.org>  Tue, 22 Mar 2016 13:31:00 +0100

ironic (1:4.3.0-1) experimental; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Added patch:
    - Tolerate_roles_in_context.RequestContext.patch
  * Fixed debian/copyright ordering.
  * Standards-Version: 3.9.7 (no change).

  [ Ondřej Nový ]
  * Fixed homepage (https).
  * Fixed VCS URLs (https).

 -- Thomas Goirand <zigo@debian.org>  Wed, 09 Mar 2016 10:27:03 +0000

ironic (1:4.2.1-4) unstable; urgency=medium

  * Added missing q-text-as-data depends in ironic-api.

 -- Thomas Goirand <zigo@debian.org>  Tue, 03 Nov 2015 11:43:31 +0000

ironic (1:4.2.1-3) unstable; urgency=medium

  * Rebuilt with openstack-pkg-tools to use Keystone API v3.

 -- Thomas Goirand <zigo@debian.org>  Tue, 03 Nov 2015 08:24:47 +0000

ironic (1:4.2.1-2) unstable; urgency=medium

  * Downgrades python-scciclient from Depends to Recommends (Closes: #803227).

 -- Thomas Goirand <zigo@debian.org>  Sat, 31 Oct 2015 11:48:23 +0100

ironic (1:4.2.1-1) unstable; urgency=medium

  * New upstream release.
  * Added python-pil as build-dep.
  * Fixed minimal version of drivers.
  * Fixed the unit test runner.

 -- Thomas Goirand <zigo@debian.org>  Tue, 20 Oct 2015 20:58:58 +0000

ironic (1:4.2.0-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.
  * Bumped minimum python-pbr version to 1.8.
  * Added Danish translation of the debconf templates, thanks to Joe Dalton
    <joedalton2@yahoo.dk> (Closes: #800458).
  * Added Dutch translation of debconf messages thanks to Frans Spiesschaert
    <Frans.Spiesschaert@yucom.be> (Closes: #799458).
  * New ironic-api depends on openstackclient.
  * Ran wrap-and-sort -t -a.

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Sep 2015 13:01:00 +0000

ironic (1:4.1.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Added python-scciclient as (build-)depends.

 -- Thomas Goirand <zigo@debian.org>  Mon, 14 Sep 2015 17:42:33 +0200

ironic (1:4.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Added patch to allow any pytz version.

 -- Thomas Goirand <zigo@debian.org>  Mon, 07 Sep 2015 23:33:23 +0200

ironic (2015.1.0-5) unstable; urgency=medium

  * Rebuilt with SQLAlchemy >= 1.0 (Closes: #794309).
  * Updated Italian debconf translation (Closes: #794371).
  * Added Spanish debconf translation (Closes: #792183).

 -- Thomas Goirand <zigo@debian.org>  Mon, 03 Aug 2015 07:34:26 +0000

ironic (2015.1.0-4) unstable; urgency=medium

  * Removes Suggests: python-suds (Closes: #788088).

 -- Thomas Goirand <zigo@debian.org>  Sun, 14 Jun 2015 15:30:47 +0200

ironic (2015.1.0-3) unstable; urgency=medium

  * Added fr.po thanks to Julien Patriarca (Closes: #786499).

 -- Thomas Goirand <zigo@debian.org>  Sat, 30 May 2015 14:45:25 +0000

ironic (2015.1.0-2) unstable; urgency=medium

  * Added pt.po translation of debconf (Closes: #784598).

 -- Thomas Goirand <zigo@debian.org>  Tue, 12 May 2015 23:12:30 +0200

ironic (2015.1.0-1) unstable; urgency=medium

  * New upstream release.
  * Fixed wrong ucfr call (Closes: #783862).
  * Fixed gbp.conf.

 -- Thomas Goirand <zigo@debian.org>  Thu, 30 Apr 2015 21:27:04 +0000

ironic (2015.1~rc2-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.
  * Now handles rabbitmq & keystone auth credentials & ironic-api endpoint
    using debconf.

 -- Thomas Goirand <zigo@debian.org>  Wed, 31 Dec 2014 16:22:59 +0100

ironic (2014.2-2) experimental; urgency=medium

  * Cleans /var/lib/ironic/{cache, ironicdb} on purge. (Closes: #768561)
  * Adds dh-python as build-depends.
  * Added pysendfile -> python-sendfile in debian/pydist-overrides.

 -- Thomas Goirand <zigo@debian.org>  Mon, 10 Nov 2014 14:59:33 +0000

ironic (2014.2-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 17 Oct 2014 15:52:15 +0800

ironic (2014.2~rc2-1) experimental; urgency=medium

  * New upstream release.
  * Mangling upstream rc and beta versions in watch file.


=== debian/control ===
Source: ironic
Section: net
Priority: extra
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 9),
               dh-python,
               dh-systemd,
               openstack-pkg-tools (>= 40~),
               po-debconf,
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
Build-Depends-Indep: alembic (>= 0.8.0),
                     python-amqplib,
                     python-automaton,
                     python-babel,
                     python-bashate,
                     python-coverage,
                     python-doc8,
                     python-eventlet (>= 0.18.4),
                     python-fixtures (>= 1.3.1),
                     python-futurist (>= 0.11.0),
                     python-glanceclient (>= 1:2.0.0),
                     python-greenlet,
                     python-hacking (>= 0.10.0),
                     python-ironic-lib (>= 1.1.0),
                     python-ironicclient (>= 1.1.0),
                     python-iso8601 (>= 0.1.9),
                     python-jinja2 (>= 2.8),
                     python-jsonpatch,
                     python-jsonschema,
                     python-keystoneclient (>= 1:2.0.0),
                     python-keystonemiddleware (>= 4.0.0),
                     python-mock (>= 1.3),
                     python-mysqldb,
                     python-netaddr (>= 0.7.12),
                     python-neutronclient (>= 1:2.6.0),
                     python-os-testr (>= 0.4.1),
                     python-oslo.concurrency (>= 3.5.0),
                     python-oslo.config (>= 1:3.7.0),
                     python-oslo.context (>= 0.2.0),
                     python-oslo.db (>= 4.1.0),
                     python-oslo.i18n (>= 2.1.0),
                     python-oslo.log (>= 2.0.0),
                     python-oslo.messaging (>= 4.0.0),
                     python-oslo.middleware (>= 3.0.0),
                     python-oslo.policy (>= 0.5.0),
                     python-oslo.rootwrap (>= 2.0.0),
                     python-oslo.serialization (>= 2.0.0),
                     python-oslo.service (>= 1.0.0),
                     python-oslo.utils (>= 3.5.0),
                     python-oslo.versionedobjects (>= 1.5.0),
                     python-oslosphinx (>= 2.5.0),
                     python-oslotest (>= 1.10.0),
                     python-paramiko,
                     python-pecan (>= 1.0.0),
                     python-pil,
                     python-proliantutils (>= 2.1.5),
                     python-psutil,
                     python-psycopg2 (>= 2.5),
                     python-pyghmi (>= 0.8.0),
                     python-pymysql,
                     python-pysnmp4,
                     python-requests (>= 2.8.1),
                     python-retrying,
                     python-seamicroclient (>= 0.4.0),
                     python-sendfile,
                     python-six (>= 1.9.0),
                     python-sphinxcontrib-pecanwsme,
                     python-sphinxcontrib.seqdiag,
                     python-sqlalchemy (>= 1.0.10),
                     python-stevedore (>= 1.5.0),
                     python-swiftclient (>= 1:2.2.0),
                     python-testresources,
                     python-testtools (>= 1.4.0),
                     python-tz,
                     python-webob,
                     python-webtest,
                     python-wsme (>= 0.8),
                     subunit,
                     testrepository,
                     websockify (>= 0.6.1),
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/openstack/ironic.git/
Vcs-Git: https://anonscm.debian.org/git/openstack/ironic.git
Homepage: https://github.com/openstack/ironic

Package: python-ironic
Architecture: all
Section: python
Depends: alembic (>= 0.8.0),
         python-amqplib,
         python-automaton,
         python-eventlet (>= 0.18.4),
         python-futurist (>= 0.11.0),
         python-glanceclient (>= 1:2.0.0),
         python-greenlet,
         python-ironic-lib (>= 1.1.0),
         python-jinja2 (>= 2.8),
         python-jsonpatch,
         python-jsonschema,
         python-keystoneclient (>= 1:2.0.0),
         python-keystonemiddleware (>= 4.0.0),
         python-netaddr (>= 0.7.12),
         python-neutronclient (>= 1:2.6.0),
         python-oslo.concurrency (>= 3.5.0),
         python-oslo.config (>= 1:3.7.0),
         python-oslo.context (>= 0.2.0),
         python-oslo.db (>= 4.1.0),
         python-oslo.i18n (>= 2.1.0),
         python-oslo.log (>= 2.0.0),
         python-oslo.messaging (>= 4.0.0),
         python-oslo.middleware (>= 3.0.0),
         python-oslo.policy (>= 0.5.0),
         python-oslo.rootwrap (>= 2.0.0),
         python-oslo.serialization (>= 2.0.0),
         python-oslo.service (>= 1.0.0),
         python-oslo.utils (>= 3.5.0),
         python-oslo.versionedobjects (>= 1.5.0),
         python-paramiko,
         python-pbr (>= 1.8),
         python-pecan (>= 1.0.0),
         python-proliantutils (>= 2.1.5),
         python-psutil,
         python-psycopg2 (>= 2.5),
         python-pyghmi (>= 0.8.0),
         python-pymysql,
         python-pysnmp4,
         python-requests (>= 2.8.1),
         python-retrying,
         python-seamicroclient (>= 0.4.0),
         python-sendfile,
         python-six (>= 1.9.0),
         python-sqlalchemy (>= 1.0.10),
         python-stevedore (>= 1.5.0),
         python-swiftclient (>= 1:2.2.0),
         python-tz,
         python-webob,
         python-wsme (>= 0.8),
         websockify (>= 0.6.1),
         ${misc:Depends},
         ${python:Depends},
Conflicts: python-cjson,
Recommends: python-scciclient (>= 0.2.0),
Description: bare metal hypervisor API for OpenStack - Python lib
 Ironic provision bare metal machines instead of virtual machines. It is a fork
 of the Nova Baremetal driver. It is best thought of as a bare metal hypervisor
 API and a set of plugins which interact with the bare metal hypervisors. By
 default, it will use PXE and IPMI in concert to provision and turn on/off
 machines, but Ironic also supports vendor-specific plugins which may implement
 additional functionality.
 .
 This package provides the Ironic Python library.

Package: ironic-common
Architecture: all
Depends: adduser,
         dbconfig-common,
         ipmitool,
         python-ironic (= ${binary:Version}),
         sudo,
         sqlite3,
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends},
Description: bare metal hypervisor API for OpenStack - common files
 Ironic provision bare metal machines instead of virtual machines. It is a fork
 of the Nova Baremetal driver. It is best thought of as a bare metal hypervisor
 API and a set of plugins which interact with the bare metal hypervisors. By
 default, it will use PXE and IPMI in concert to provision and turn on/off
 machines, but Ironic also supports vendor-specific plugins which may implement
 additional functionality.
 .
 This package provides the Ironic common files.

Package: ironic-api
Architecture: all
Depends: ironic-common,
         python-openstackclient,
         q-text-as-data,
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends},
Description: bare metal hypervisor API for OpenStack - API server
 Ironic provision bare metal machines instead of virtual machines. It is a fork
 of the Nova Baremetal driver. It is best thought of as a bare metal hypervisor
 API and a set of plugins which interact with the bare metal hypervisors. By
 default, it will use PXE and IPMI in concert to provision and turn on/off
 machines, but Ironic also supports vendor-specific plugins which may implement
 additional functionality.
 .
 This package provides the Ironic API server. The ironic-api service provides a
 RESTful API that supports JSON and XML.

Package: ironic-conductor
Architecture: all
Depends: ironic-common,
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends},
Description: bare metal hypervisor API for OpenStack - conductor
 Ironic provision bare metal machines instead of virtual machines. It is a fork
 of the Nova Baremetal driver. It is best thought of as a bare metal hypervisor
 API and a set of plugins which interact with the bare metal hypervisors. By
 default, it will use PXE and IPMI in concert to provision and turn on/off
 machines, but Ironic also supports vendor-specific plugins which may implement
 additional functionality.
 .
 This package provides the Ironic Conductore service. It is used to shield
 database access.

Package: ironic-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Description: bare metal hypervisor API for OpenStack - doc
 Ironic provision bare metal machines instead of virtual machines. It is a fork
 of the Nova Baremetal driver. It is best thought of as a bare metal hypervisor
 API and a set of plugins which interact with the bare metal hypervisors. By
 default, it will use PXE and IPMI in concert to provision and turn on/off
 machines, but Ironic also supports vendor-specific plugins which may implement
 additional functionality.
 .
 This package provides the Ironic documentation.

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)
include /usr/share/openstack-pkg-tools/pkgos.make

export OSLO_PACKAGE_VERSION=$(VERSION)

%:
	dh $@ --buildsystem=python_distutils --with python2,sphinxdoc,systemd

override_dh_auto_clean:
	dh_auto_clean -O--buildsystem=python_distutils
	rm -f debian/ironic-common.config debian/ironic-common.postinst debian/ironic-api.postinst debian/ironic-api.config
	rm -rf doc/build
	rm -f debian/*.init debian/*.service debian/*.upstart

override_dh_auto_build:
	dh_auto_build
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func ironic-common.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func ironic-common.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func ironic-api.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func ironic-api.postinst

override_dh_auto_install:
	dh_auto_install -O--buildsystem=python_distutils
	# TODO: replace this by generated conf file (see tox.ini)
	install -D -m 0664 etc/ironic/ironic.conf.sample $(CURDIR)/debian/ironic-common/usr/share/ironic-common/ironic.conf
	sed -i 's|#connection=<None>|connection=sqlite:////var/lib/ironic/ironicdb|' $(CURDIR)/debian/ironic-common/usr/share/ironic-common/ironic.conf
	set -e && for pyvers in $(PYTHONS); do \
		cp -rf ironic/db/sqlalchemy/alembic $(CURDIR)/debian/tmp/usr/lib/python$$pyvers/dist-packages/ironic/db/sqlalchemy ; \
	done

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	@echo "===> Running tests"
	set -e ; set -x ; for i in 2.7 ; do \
		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
		rm -rf .testrepository ; \
		testr-python$$PYMAJOR init ; \
		TEMP_REZ=`mktemp -t` ; \
		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit | tee $$TEMP_REZ | subunit2pyunit ; \
		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
		rm -f $$TEMP_REZ ; \
		testr-python$$PYMAJOR slowest ; \
	done
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=$(CURDIR) sphinx-build -a -b html doc/source $(CURDIR)/debian/ironic-doc/usr/share/doc/ironic-doc/html
## This is a workaround to avoid FTBFS, though a real fix should be found.
	mkdir -p $(CURDIR)/debian/ironic-doc/usr/share/doc/ironic-doc/html/_static
	touch $(CURDIR)/debian/ironic-doc/usr/share/doc/ironic-doc/html/_static/toggle.js
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
https://github.com/openstack/ironic/tags .*/(\d\d?\.[\d\.]+)\.tar\.gz
